aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-07 07:47:16 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-22 08:23:16 +0000
commitf996820f77ea24f67f702ba66c585368e83d58af (patch)
tree2437dbfc1df8242172605aebcb2888577c2fa8eb
parente6c8def320c5d75a3930ccd1fee27baf3ceec1d6 (diff)
downloadaports-f996820f77ea24f67f702ba66c585368e83d58af.tar.bz2
aports-f996820f77ea24f67f702ba66c585368e83d58af.tar.xz
testing/py-pybles: new aport
A Python module to represent tables in the terminal http://pypi.python.org/pypi/Pybles/
-rw-r--r--testing/py-pybles/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-pybles/APKBUILD b/testing/py-pybles/APKBUILD
new file mode 100644
index 0000000000..4b8e85e2cc
--- /dev/null
+++ b/testing/py-pybles/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-pybles
+_pkgname=Pybles
+pkgver=1.0.1
+pkgrel=0
+pkgdesc="A Python module to represent tables in the terminal"
+url="http://pypi.python.org/pypi/Pybles/"
+arch="noarch"
+license="GPL3+"
+depends="python py-blessings"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="97b5063ffcf96d9edc3531ba12ba77da Pybles-1.0.1.tar.gz"
+sha256sums="58df0c91bcc5e913c15c4eb1e88df441543815ab92f049c0daecf97ec93df05a Pybles-1.0.1.tar.gz"
+sha512sums="5a50932e051b2737fad34eb074ce7c04c326d2a2c352645dd19397c99746a2ea1fc4a249e045ff48974cfbd76c5d64e3178f6c87908d3947e4c25e70d04a3f91 Pybles-1.0.1.tar.gz"